/*
 * jSimpleSlide
 * 
 * author: Jurii Tarahonich aka Sofcase
 * author page: http://sofcase.net/
 
 * function options: animateSpeed, delay
 */

(function($) {
	$.jSimpleSlide = function(container, images, options) {
		// мержим настройки с стандартными
		options = $.extend({
			animateSpeed: 1000,
			delay: 4000
		}, options);
	
		// сохраням тек. позицию и кол. картинок
		var currentPosition = 0;
		var totalImages = images.length;
	
		// объявляем перемнные ссылающиеся на контейнеры
		var $container = $(container);
		var $headerContainer = $container.find('div.j-simple-slide-header').text(images[0].title);
		var $imageContainer = $container.find('div.j-simple-slide-image');
		var $link = $container.find('a.j-simple-slide-link');

		var $currentImage = $('<img>', {
			src: images[0].src,
			alt: images[0].title
		}).appendTo($imageContainer);
		
		// устанавливаем первую картинку
		$imageContainer.css('background-image', 'url(' + images[0].src + ')');
		if (typeof images[0].link != 'undefined') {
			$link.attr('href', images[0].link.href).text(typeof images[0].link.text == 'undefined' ? 'Перейти' : images[0].link.text).show();
		}
		
		// запускаем интервал, на указанное в настройках время
		setInterval(function() {
			// меняем тек. картинку(позицию)
			currentPosition++;
			currentPosition = (totalImages == currentPosition) ? 0 : currentPosition;

			// скрываем заголовок и ссылку
			$headerContainer.hide();
			$link.hide();
			
			// подменяем у контейнера фон на новую картинку
			$imageContainer.css('background-image', 'url(' + images[currentPosition].src + ')');
			
			// а текущую постепенно делаем прозрачной
			$currentImage.animate({opacity: 0}, options.animateSpeed, function() {
				// меняем текст заголовка и показываем
				$headerContainer.text(images[currentPosition].title).show();
				
				// если указанна ссылка, тогда устанавливаем её и показываем
				if (typeof images[currentPosition].link != 'undefined') {
					$link.attr('href', images[currentPosition].link.href).text(
						typeof images[currentPosition].link.text == 'undefined' ? 'Перейти' : images[currentPosition].link.text
					).show();
				}
				
				// меняем картинку и убираем прозрачность
				$currentImage.attr({
					src: images[currentPosition].src,
					alt: images[currentPosition].title
				}).animate({opacity: 1}, options.animateSpeed);
			});
		}, options.delay);
	}
})(jQuery); 
